#!/bin/sh

pac=/etc/pacman.conf

if grep -q "\[noswap\]" $pac
then
	echo "noswap repo already added"
else
	echo "adding noswap repo"
	echo >> $pac
	echo "[noswap]" >> $pac
	echo "Server = https://noswap.com/pub/arch" >> $pac

fi

echo "importing and signing gpg key for jreese@leetcode.net (D53EA311DE6184DC)"
pacman-key --add - <<EOM
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v2

mQGiBEe/olYRBACVdv6CEyeShbPUPZYnf6+l6sqaTHNAupf6YdGgJKN7mq9reern
wmTvgxaI6RJ1KFMnR5QMoM8OJJx+uZKpabd7KGm5KKhhWGK9dNK0Rh+1J8m6j859
n/3B/oa/nVU6+x8u9bob4QiccnT/iyuO9TbTRQAGf99unuz3ZJlgMRfcwwCg9IWB
52F2Ior9WEgw4x4DSHIS6EMD/iycV7jHAMVA27iWs+FrFzkoKGU4mTELwpugZpym
bet8eWlldwvZpYxGBatsVEUKDyAiIx3mTTEFn3bh3vY+R8q6gZRAatQ1sQlA9LjE
r4G6pTQkZjq9Y0X6q/FMW1G/qSqzk4ocagy4C9LvBGnf2nhvMoUL9gJ8InX1L5Ud
G5G4A/9Ztl6w5rhwLmVQh1Wjy3bNcfRtOmzJ8pcramy8p4ay3ku6DiIdTPRP+zks
nB+1BBkqFdBmOdKmTY2olYe7Y7VVkKIfjjwgmXmlMjNowTX1tjJmEKGNG0msGtdz
TOYXDTi72HC0P1UKSnTVwxoOrCp+J7S81leeKGs/6bqj8OFiEbQvSm9obiBSZWVz
ZSAoTGVldENvZGUubmV0KSA8anJlZXNlQGxlZXRjb2RlLm5ldD6IYAQTEQIAIAUC
R7+iVgIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJENU+oxHeYYTcFvcAoNVN
1yzrNWGLKNu6bSEhIlIsOLDRAJ9TfyO9kF2A1PrjWJRmTbMsNre0mrQgSm9obiBS
ZWVzZSA8anJlZXNlQGxlZXRjb2RlLm5ldD6IYAQTEQIAIAUCST7GlgIbAwYLCQgH
AwIEFQIIAwQWAgMBAh4BAheAAAoJENU+oxHeYYTcX2sAoISYx5Pqvhs+KxILb/3y
pl/qod/1AKDo3qKJ2n6Emax6PjX8fkLh6JsQ7LkCDQRHv6JcEAgAs84NghxANuSk
9WVnc/pLPb0qRh09r1x0yofaNele+zHU3oawmtY7emlBWzCg0k1bUKdFeVGJmCeR
RZwNv+QXaKI1BUXIfU7kuvR3uzXaEHPRlOzy2+ggf1j3IkqZc5j0Nb8A8Tb7MfOh
nEYPxOdsCedhVsTbxley1Tm1lasE4FvWyc0GsoL0+AietJ6twrRpSHv4u9UvwyLU
wEow3WEZmUS6BOv8S/rET7iSmhe+ahhASU3PNKO3R7JzA5UaxIK0DCV1tjzN3cSs
E3R5CaErfiOGtolmeIa60kB3mIDYC395OpiBpT8d3qzWFdg+I3kwyVX2Jejo4vKX
qMbADFse4wADBgf+KMxtu1Mq9l5rbqf09dYOIKHRcWA896OiY56SMCaUHJ3C0n9/
XA2FMx6KXfzCt87roKPDV+TOYzW1I+NtuAxMkVzRXi5nrsXXE6UMJcNXugIVKpMd
i5UAzJqHxRl/yVi1NF68w5oQVnXnWg55iRGs8eMKlbiD1di2zEUWJefcCAOnz1wT
YgPYuswipXfH8AfJzqmYgfajtPpFsusLwIvhZ6x4VJrxx1gi9E5ZshsqcFl483Hd
Qez3CbPB2Qk4UnVPh1wgl1cA+d4McjIfE7/7KPvkSCrM4Tcu9SWipYhDaOY0HiJe
ncw2pU/99FwQ55Ymxq0L8nRFGlK3nPe/VdLoKIhJBBgRAgAJBQJHv6JcAhsMAAoJ
ENU+oxHeYYTc78sAn2xPZuwk+/L2wprnf7hlgmsCXXecAJ0X+Uig2VLUNNfr3tau
tWgrfo+yag==
=WVs6
-----END PGP PUBLIC KEY BLOCK-----
EOM
pacman-key --lsign-key D53EA311DE6184DC

echo "importing and signing gpg key for john@noswap.com (71FCFA26C45D960E)"
pacman-key --add - <<EOM
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v2
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=bOJS
-----END PGP PUBLIC KEY BLOCK-----

EOM
pacman-key --lsign-key 71FCFA26C45D960E

sleep 1

